Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

SOLVED

Upgrading Uber-jar 6.5.7 throwing me error after version update

samsundar23
Level 4
Level 4

I'm using AEM 6.5 and currently we are using SP1 and we are upgrading to SP7 now.

Hence, in the process of uber-jar version upgrade. I have updated to below version in my pom.xml of the project as below.

<dependency>
<groupId>com.adobe.aem</groupId>
<artifactId>uber-jar</artifactId>
<version>6.5.7</version>
<scope>provided</scope>
<classifier>apis</classifier>
</dependency>

But I'm experiencing the below error after uber-jar version upgrade although the previous version of uber-jar(6.3.1) was working absolutely fine. 
Kindly help me to resolve this problem.

 

[INFO] Scanning for projects...
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Build Order:
[INFO]
[INFO] Test Author only - Reactor Project
[INFO] Test Author only Bundle
[INFO] Test Author only Content Package
[INFO]
[INFO] ------------------------------------------------------------------------
[INFO] Building Test Author only - Reactor Project 16.0.0
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ Test--author ---
[INFO]
[INFO] --- maven-install-plugin:2.5.2:install (default-install) @ Test--author ---
[INFO] Installing C:\CBA\Test-Author-Only\aem.Test-author-only\pom.xml to C:\Users\tksh\.m2\repository\com\cba\Test--author\16.0.0\Test--author-16.0.0.pom
[INFO]
[INFO] ------------------------------------------------------------------------
[INFO] Building Test Author only Bundle 16.0.0
[INFO] ------------------------------------------------------------------------
Downloading: https://artifactory.internal.cba/cq5-dev/com/adobe/aem/uber-jar/6.5.7/uber-jar-6.5.7-apis.jar
Downloading: https://artifactory.internal.cba/cq5-dev/com/adobe/aem/uber-jar/6.5.7/uber-jar-6.5.7-apis.jar
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO]
[INFO] Test Author only - Reactor Project ......... SUCCESS [ 0.336 s]
[INFO] Test Author only Bundle .................... FAILURE [ 1.299 s]
[INFO] Test Author only Content Package ........... SKIPPED
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 3.901 s
[INFO] Finished at: 2021-02-26T22:44:23+05:30
[INFO] Final Memory: 16M/187M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal on project Test--author.core: Could not resolve dependencies for project com.cba:Test--author.core:bundle:16.0.0: Could not transfer artifact com.adobe.aem:uber-jar:jar:apis:6.5.7 from/to central (https://artifactory.internal.cba/cq5-dev)  : Not authorized , ReasonPhrase:Unauthorized. -> [Help 1]
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/DependencyResolutionException
[ERROR]
[ERROR] After correcting the problems, you can resume the build with the command
[ERROR] mvn <goals> -rf :Test--author.core

Process finished with exit code 1

Topics

Topics help categorize Community content and increase your ability to discover relevant content.

6.5
1 Accepted Solution
Sanket_Kumbharkhane
Correct answer by
Level 4
Level 4

Hi @samsundar23 ,

 

Check this release notes:  now, there is no classifier, with APIs as the value, for the dependency tag.

https://experienceleague.adobe.com/docs/experience-manager-65/release-notes/service-pack/sp-release-...

 

<dependency>
     <groupId>com.adobe.aem</groupId>
     <artifactId>uber-jar</artifactId>
     <version>6.5.7</version>
     <scope>provided</scope>
</dependency>
NOTE

UberJar and the other related artifacts are available on Maven Central Repository instead of Adobe Public Maven repository (repo.adobe.com). The main UberJar file is renamed to uber-jar-<version>.jar. So, there is no classifier, with apis as the value, for the dependency tag.

 

https://repo.maven.apache.org/maven2/com/adobe/aem/uber-jar/6.5.7/

 

Related previous thread: 

https://experienceleaguecommunities.adobe.com/t5/adobe-experience-manager/uber-jar-6-5-6-apis-jar-is...

 

Thanks

View solution in original post

0 Replies
Sanket_Kumbharkhane
Correct answer by
Level 4
Level 4

Hi @samsundar23 ,

 

Check this release notes:  now, there is no classifier, with APIs as the value, for the dependency tag.

https://experienceleague.adobe.com/docs/experience-manager-65/release-notes/service-pack/sp-release-...

 

<dependency>
     <groupId>com.adobe.aem</groupId>
     <artifactId>uber-jar</artifactId>
     <version>6.5.7</version>
     <scope>provided</scope>
</dependency>
NOTE

UberJar and the other related artifacts are available on Maven Central Repository instead of Adobe Public Maven repository (repo.adobe.com). The main UberJar file is renamed to uber-jar-<version>.jar. So, there is no classifier, with apis as the value, for the dependency tag.

 

https://repo.maven.apache.org/maven2/com/adobe/aem/uber-jar/6.5.7/

 

Related previous thread: 

https://experienceleaguecommunities.adobe.com/t5/adobe-experience-manager/uber-jar-6-5-6-apis-jar-is...

 

Thanks

View solution in original post

samsundar23
Level 4
Level 4
Thanks for your suggestion. It worked for me.
samsundar23
Level 4
Level 4

Hi @Sanket_Kumbharkhane 

 

I get the below error in the process uber jar upgrade to 6.5.7.

Any resolution for this.

Please help.

 

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.1:compile (default-compile) on project temp.core: Compilation failure: Compilation failure:
[ERROR] /C:/CBA/my_LEGO/aem.temp-lego/bundles/core/src/main/java/com/temp/services/impl/DynamicMediaProcessorImpl.java:[7,39] package com.day.cq.dam.api.s7dam.scene7 does not exist
[ERROR] /C:/CBA/my_LEGO/aem.temp-lego/bundles/core/src/main/java/com/temp/services/impl/DynamicMediaProcessorImpl.java:[38,13] cannot find symbol
[ERROR] symbol: class ImageUrlApi
[ERROR] location: class com.temp.services.impl.DynamicMediaProcessorImpl